<% @title = "Task List" -%>
<center>
<% if @list_action and session['filter'] -%>
<div id="filter">Applied filter:&nbsp;
<select name="filters" onchange="javascript:filterChanged(this);">
  <option value="all">-- Show All --</option>
  <% for filter in session['filter'].filters -%>
  <option value="<%= filter['id'] %>" <%= 'selected' if filter == session['filter'].current %>><%= filter['name'] %></option>
  <% end -%>
</select>
</div>
<% end -%>

<% if @bugs.empty? -%>
<div id="notice" style="margin: 20px 0;">No tasks found.</div>
<% else -%>

<%= start_form_tag({:action => 'bulk'}, {:name => 'frmbugs'}) %>
<table cellspacing="0" cellpadding="3" width="100%" class="tbl">
<% for project, bugs in @bugs -%>
  <tr>
    <td colspan="9">
      <h3>Tasks in <%= link_to project.name, :controller => "project", :action => "show", :id => project.id %> Project</h3>
    </td>
  </tr>
  <tr>
    <th class="tbl_header">&nbsp;</th>
    <th class="tbl_header"><%= sort_link_to "#", "id" %></th>
    <th class="tbl_header"><%= sort_link_to "Title", "title" %></th>
    <th class="tbl_header"><%= sort_link_to "Status", "status" %></th>
    <th class="tbl_header"><%= sort_link_to "Category", "category" %></th>
    <th class="tbl_header"><%= sort_link_to "Fix for", "release_id" %></th>
    <th class="tbl_header"><%= sort_link_to "Assigned", "user_id" %></th>
    <th class="tbl_header"><%= sort_link_to "Estimate", "estimate" %></th>
    <th class="tbl_header"><%= sort_link_to "Priority", "priority_id" %></th>
  </tr>
  <% iterate_for_table(bugs, %w|tbl_even tbl_odd|) do |bug, class_name| -%>
  <tr>
    <td class="tbl_row <%= class_name %>">
      <input type="checkbox" name="bugs[]" bulk="<%= bug.bulk_mode %>" onclick="javascript:updateActions();" value="<%= bug.id %>" autocomplete="off" />
    </td>
    <td class="tbl_row <%= class_name %>"><%= bug.id %></td>
    <td class="tbl_row <%= class_name %>" width="40%"><%= link_to h(bug.title), :action => 'show', :id => bug.id %></td>
    <td class="tbl_row <%= class_name %> <%= status_class(bug) %>" width="20"><%= bug.status_name %></td>
    <td class="tbl_row <%= class_name %>"><%= category_span(bug.category) %></td>
    <td class="tbl_row <%= class_name %>"><%=h bug.release_name %></td>
    <td class="tbl_row <%= class_name %>"><%=h bug.user_name %></td>
    <td class="tbl_row <%= class_name %>"><%= bug.display_estimate %></td>
    <td class="tbl_row <%= class_name %> <%= priority_class(bug) %>"><%=h bug.priority_title %></td>
  </tr>
  <% end -%>
<% end -%>
  <tr>
    <td class="tbl_footer" colspan="9">[<a href="#" onclick="javascript:onSelectAll();">Select All</a>]&nbsp;&nbsp;[<a href="#" onclick="javascript:onDeselectAll();">Unselect All</a>]</td>
  </tr>
</table>
<div style="text-align: center;">
  <input type="submit" name="bulk_func" value="Assign" disabled="true" />&nbsp;
  <input type="submit" name="bulk_func" value="Resolve" disabled="true" />&nbsp;
  <input type="submit" name="bulk_func" value="Reactivate" disabled="true" />&nbsp;
  <input type="submit" name="bulk_func" value="Close" disabled="true" />&nbsp;
  <input type="submit" name="bulk_func" value="Reopen" disabled="true" />&nbsp;
</div>
<%= end_form_tag %>
<% end -%>
</center>

<script language="javascript" type="text/javascript">
<!--
    function updateActions() {
      var bits = 0xffff;
      var atListOne = false;
      var bugs = document.frmbugs['bugs[]'];
      if(bugs.length) {
        for(i = 0; i < bugs.length; i++) {
          if(bugs[i].checked == true)  {
	    bits = (bits & bugs[i].getAttribute("bulk"));
	    atListOne = true;
          }
        }
      }
      else {
        if(bugs.checked) {
          bits = bugs.getAttribute("bulk");
          atListOne = true;
        }
      }
      if(!atListOne)
        bits = 0;
      var sbit = 1;
      for(i = 0; i < 5; i++)
        document.frmbugs.bulk_func[i].disabled = !( bits & ( 1 << i));
    }
    function onSelectAll() {
      var bugs = document.frmbugs['bugs[]'];
      if(bugs.length) {
        for(i = 0; i < bugs.length; i++)
          bugs[i].checked = true;
      }
      else {
        bugs.checked = true;
      }
      updateActions();
    }
    function onDeselectAll() {
      var bugs = document.frmbugs['bugs[]'];
      if(bugs.length) {
        for(i = 0; i < bugs.length; i++) 
          bugs[i].checked = false;
      }
      else {
        bugs.checked = false;
      }
      updateActions();
    }
    function filterChanged(x) {
      var id = x.options[x.options.selectedIndex].value;
      window.location = '<%= url_for :controller => 'filter', :action => 'apply' %>' + '/' + id;
    }
-->
</script>
